Shipments
Create, list, and delete shipments.
List shipments
Returns a paginated list of your shipments.
Authenticate using the access_token obtained from POST /token.
Format: Authorization: Bearer {access_token}
In: header
Query Parameters
Page number
11 <= valueNumber of items per page
101 <= value <= 100Response Body
application/json
curl -X GET "https://api.shipink.io/shipments"{
"success": true,
"meta": {
"status": 200,
"message": "orders successfully received",
"total": 100
},
"data": [
{
"id": "17ebb574-f53f-43c2-bcf6-8984f7fc100b",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
"order_id": "Nc220IyHvpV_",
"carrier": {
"shipment_id": "507855220681824288",
"tracking_url": "https://kargo.aras.com.tr/track/507855220681824288",
"invoice_id": "",
"waybill_id": "",
"carrier_id": "aras",
"carrier_service_id": "aras_standart",
"carrier_account_id": "efd4158f-75ca-4922-b8cc-c27e209db7e1",
"shipment_type": "outgoing",
"language": "tr",
"settings": {
"system_account": true,
"denominator": 0,
"is_marketplace": true,
"has_bulk_rate": true,
"label_id_range": "string",
"label_support": true,
"return_support": true,
"payment_type": {
"sender": true,
"recipient": true,
"cod_cash": true,
"cod_credit": true
}
}
},
"content": "",
"language": "tr",
"note": "",
"packages": [
{
"weight": 1,
"weight_unit": "kg",
"length": 20,
"width": 15,
"height": 10,
"dimension_unit": "cm"
}
],
"sender": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "Ahmet Yılmaz",
"tax_id": "",
"tax_office": "",
"company": "",
"email": {
"main": "user@example.com",
"work": ""
},
"phone": {
"main": "905321234567",
"work": "",
"cell": "",
"code": ""
},
"address": {
"street": "Example Street No:1",
"city": "Maltepe",
"city_code": "TR-34-108146",
"state": "İstanbul",
"state_code": "TR-34",
"zip": "34857",
"country": "Turkey",
"country_code": "TR",
"tax_id": "",
"external_id": null,
"status": ""
},
"return_address": {
"street": "Example Street No:1",
"city": "Maltepe",
"city_code": "TR-34-108146",
"state": "İstanbul",
"state_code": "TR-34",
"zip": "34857",
"country": "Turkey",
"country_code": "TR",
"tax_id": "",
"external_id": null,
"status": ""
}
},
"recipient": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "Ahmet Yılmaz",
"tax_id": "",
"tax_office": "",
"company": "",
"email": {
"main": "user@example.com",
"work": ""
},
"phone": {
"main": "905321234567",
"work": "",
"cell": "",
"code": ""
},
"address": {
"street": "Example Street No:1",
"city": "Maltepe",
"city_code": "TR-34-108146",
"state": "İstanbul",
"state_code": "TR-34",
"zip": "34857",
"country": "Turkey",
"country_code": "TR",
"tax_id": "",
"external_id": null,
"status": ""
},
"return_address": {
"street": "Example Street No:1",
"city": "Maltepe",
"city_code": "TR-34-108146",
"state": "İstanbul",
"state_code": "TR-34",
"zip": "34857",
"country": "Turkey",
"country_code": "TR",
"tax_id": "",
"external_id": null,
"status": ""
}
},
"items": [
{
"id": "string",
"name": "Product Name",
"category": "gadget",
"quantity": 1,
"unit_price": 500.9,
"origin": "TR",
"hs_code": "",
"sku": "",
"weight": 0.5,
"dimensions": {
"length": 0,
"width": 0,
"height": 0
}
}
],
"payment": {
"currency": "TRY",
"amount": 45,
"type": "sender"
},
"customs": {},
"extras": {
"signature_confirmation": "",
"just_document": false,
"address_validation": false,
"night_delivery": false,
"saturday_delivery": false,
"has_alcohol": false,
"carbon_neutral": false
},
"document": {
"labels": [
{
"id": "string",
"process": "ready",
"ready_at": "2019-08-24T14:15:22Z",
"pdf": "https://api.shipink.io/labels/abc123.pdf",
"png": "http://example.com",
"zpl": "http://example.com"
}
],
"customs_declaration": {
"url": "http://example.com"
},
"sales_invoice": {
"id": "inv_abc123",
"no": "EFA2024001",
"date": "2024-03-15T13:21:08Z",
"url": "https://example.com/invoice.pdf"
},
"proforma": {}
},
"tracking": {
"id": "track_abc123",
"url": "https://kargo.aras.com.tr/track/507855220681824288",
"estimated_delivery_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "in_transit"
},
"rate": {
"estimated_price": 45,
"estimated_weight": 1,
"estimated_at": "2019-08-24T14:15:22Z",
"actual_price": 45,
"actual_weight": 1
},
"direction": "outgoing",
"source": "api",
"async": false,
"create_invoice": false,
"shipped_at": "2019-08-24T14:15:22Z",
"delivered_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
}
]
}Create a shipment
Creates a shipment for the specified order.
direction values:
outgoing— standard deliveryincoming— return shipment
Authenticate using the access_token obtained from POST /token.
Format: Authorization: Bearer {access_token}
In: header
Header Parameters
Language code for the shipping label
"TR" | "EN"uuiduuidoutgoing: standard delivery, incoming: return shipment
"outgoing" | "incoming"Response Body
application/json
curl -X POST "https://api.shipink.io/shipments" \ -H "Content-Type: application/json" \ -d '{ "direction": "outgoing", "order_id": "Nc220IyHvpV_", "carrier_service_id": "sendeo_standart", "carrier_account_id": "efd4158f-75ca-4922-b8cc-c27e209db7e1", "warehouse_id": "b4213a03-d4c3-41f8-8090-886e273de746", "sales_invoice": { "no": "EFA2024001", "date": "2024-03-15T13:21:08Z", "url": "https://example.com/invoice.pdf" }, "packages": [ { "dimension_unit": "cm", "height": 10, "length": 20, "width": 15, "weight": 1, "weight_unit": "kg" } ] }'{
"id": "17ebb574-f53f-43c2-bcf6-8984f7fc100b",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
"order_id": "Nc220IyHvpV_",
"carrier": {
"shipment_id": "507855220681824288",
"tracking_url": "https://kargo.aras.com.tr/track/507855220681824288",
"invoice_id": "",
"waybill_id": "",
"carrier_id": "aras",
"carrier_service_id": "aras_standart",
"carrier_account_id": "efd4158f-75ca-4922-b8cc-c27e209db7e1",
"shipment_type": "outgoing",
"language": "tr",
"settings": {
"system_account": true,
"denominator": 0,
"is_marketplace": true,
"has_bulk_rate": true,
"label_id_range": "string",
"label_support": true,
"return_support": true,
"payment_type": {
"sender": true,
"recipient": true,
"cod_cash": true,
"cod_credit": true
}
}
},
"content": "",
"language": "tr",
"note": "",
"packages": [
{
"weight": 1,
"weight_unit": "kg",
"length": 20,
"width": 15,
"height": 10,
"dimension_unit": "cm"
}
],
"sender": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "Ahmet Yılmaz",
"tax_id": "",
"tax_office": "",
"company": "",
"email": {
"main": "user@example.com",
"work": ""
},
"phone": {
"main": "905321234567",
"work": "",
"cell": "",
"code": ""
},
"address": {
"street": "Example Street No:1",
"city": "Maltepe",
"city_code": "TR-34-108146",
"state": "İstanbul",
"state_code": "TR-34",
"zip": "34857",
"country": "Turkey",
"country_code": "TR",
"tax_id": "",
"external_id": null,
"status": ""
},
"return_address": {
"street": "Example Street No:1",
"city": "Maltepe",
"city_code": "TR-34-108146",
"state": "İstanbul",
"state_code": "TR-34",
"zip": "34857",
"country": "Turkey",
"country_code": "TR",
"tax_id": "",
"external_id": null,
"status": ""
}
},
"recipient": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "Ahmet Yılmaz",
"tax_id": "",
"tax_office": "",
"company": "",
"email": {
"main": "user@example.com",
"work": ""
},
"phone": {
"main": "905321234567",
"work": "",
"cell": "",
"code": ""
},
"address": {
"street": "Example Street No:1",
"city": "Maltepe",
"city_code": "TR-34-108146",
"state": "İstanbul",
"state_code": "TR-34",
"zip": "34857",
"country": "Turkey",
"country_code": "TR",
"tax_id": "",
"external_id": null,
"status": ""
},
"return_address": {
"street": "Example Street No:1",
"city": "Maltepe",
"city_code": "TR-34-108146",
"state": "İstanbul",
"state_code": "TR-34",
"zip": "34857",
"country": "Turkey",
"country_code": "TR",
"tax_id": "",
"external_id": null,
"status": ""
}
},
"items": [
{
"id": "string",
"name": "Product Name",
"category": "gadget",
"quantity": 1,
"unit_price": 500.9,
"origin": "TR",
"hs_code": "",
"sku": "",
"weight": 0.5,
"dimensions": {
"length": 0,
"width": 0,
"height": 0
}
}
],
"payment": {
"currency": "TRY",
"amount": 45,
"type": "sender"
},
"customs": {},
"extras": {
"signature_confirmation": "",
"just_document": false,
"address_validation": false,
"night_delivery": false,
"saturday_delivery": false,
"has_alcohol": false,
"carbon_neutral": false
},
"document": {
"labels": [
{
"id": "string",
"process": "ready",
"ready_at": "2019-08-24T14:15:22Z",
"pdf": "https://api.shipink.io/labels/abc123.pdf",
"png": "http://example.com",
"zpl": "http://example.com"
}
],
"customs_declaration": {
"url": "http://example.com"
},
"sales_invoice": {
"id": "inv_abc123",
"no": "EFA2024001",
"date": "2024-03-15T13:21:08Z",
"url": "https://example.com/invoice.pdf"
},
"proforma": {}
},
"tracking": {
"id": "track_abc123",
"url": "https://kargo.aras.com.tr/track/507855220681824288",
"estimated_delivery_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "in_transit"
},
"rate": {
"estimated_price": 45,
"estimated_weight": 1,
"estimated_at": "2019-08-24T14:15:22Z",
"actual_price": 45,
"actual_weight": 1
},
"direction": "outgoing",
"source": "api",
"async": false,
"create_invoice": false,
"shipped_at": "2019-08-24T14:15:22Z",
"delivered_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
}Get a shipment
Returns the details of the specified shipment.
Authenticate using the access_token obtained from POST /token.
Format: Authorization: Bearer {access_token}
In: header
Path Parameters
Shipment ID
uuidResponse Body
application/json
curl -X GET "https://api.shipink.io/shipments/17ebb574-f53f-43c2-bcf6-8984f7fc100b"{
"id": "17ebb574-f53f-43c2-bcf6-8984f7fc100b",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
"order_id": "Nc220IyHvpV_",
"carrier": {
"shipment_id": "507855220681824288",
"tracking_url": "https://kargo.aras.com.tr/track/507855220681824288",
"invoice_id": "",
"waybill_id": "",
"carrier_id": "aras",
"carrier_service_id": "aras_standart",
"carrier_account_id": "efd4158f-75ca-4922-b8cc-c27e209db7e1",
"shipment_type": "outgoing",
"language": "tr",
"settings": {
"system_account": true,
"denominator": 0,
"is_marketplace": true,
"has_bulk_rate": true,
"label_id_range": "string",
"label_support": true,
"return_support": true,
"payment_type": {
"sender": true,
"recipient": true,
"cod_cash": true,
"cod_credit": true
}
}
},
"content": "",
"language": "tr",
"note": "",
"packages": [
{
"weight": 1,
"weight_unit": "kg",
"length": 20,
"width": 15,
"height": 10,
"dimension_unit": "cm"
}
],
"sender": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "Ahmet Yılmaz",
"tax_id": "",
"tax_office": "",
"company": "",
"email": {
"main": "user@example.com",
"work": ""
},
"phone": {
"main": "905321234567",
"work": "",
"cell": "",
"code": ""
},
"address": {
"street": "Example Street No:1",
"city": "Maltepe",
"city_code": "TR-34-108146",
"state": "İstanbul",
"state_code": "TR-34",
"zip": "34857",
"country": "Turkey",
"country_code": "TR",
"tax_id": "",
"external_id": null,
"status": ""
},
"return_address": {
"street": "Example Street No:1",
"city": "Maltepe",
"city_code": "TR-34-108146",
"state": "İstanbul",
"state_code": "TR-34",
"zip": "34857",
"country": "Turkey",
"country_code": "TR",
"tax_id": "",
"external_id": null,
"status": ""
}
},
"recipient": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "Ahmet Yılmaz",
"tax_id": "",
"tax_office": "",
"company": "",
"email": {
"main": "user@example.com",
"work": ""
},
"phone": {
"main": "905321234567",
"work": "",
"cell": "",
"code": ""
},
"address": {
"street": "Example Street No:1",
"city": "Maltepe",
"city_code": "TR-34-108146",
"state": "İstanbul",
"state_code": "TR-34",
"zip": "34857",
"country": "Turkey",
"country_code": "TR",
"tax_id": "",
"external_id": null,
"status": ""
},
"return_address": {
"street": "Example Street No:1",
"city": "Maltepe",
"city_code": "TR-34-108146",
"state": "İstanbul",
"state_code": "TR-34",
"zip": "34857",
"country": "Turkey",
"country_code": "TR",
"tax_id": "",
"external_id": null,
"status": ""
}
},
"items": [
{
"id": "string",
"name": "Product Name",
"category": "gadget",
"quantity": 1,
"unit_price": 500.9,
"origin": "TR",
"hs_code": "",
"sku": "",
"weight": 0.5,
"dimensions": {
"length": 0,
"width": 0,
"height": 0
}
}
],
"payment": {
"currency": "TRY",
"amount": 45,
"type": "sender"
},
"customs": {},
"extras": {
"signature_confirmation": "",
"just_document": false,
"address_validation": false,
"night_delivery": false,
"saturday_delivery": false,
"has_alcohol": false,
"carbon_neutral": false
},
"document": {
"labels": [
{
"id": "string",
"process": "ready",
"ready_at": "2019-08-24T14:15:22Z",
"pdf": "https://api.shipink.io/labels/abc123.pdf",
"png": "http://example.com",
"zpl": "http://example.com"
}
],
"customs_declaration": {
"url": "http://example.com"
},
"sales_invoice": {
"id": "inv_abc123",
"no": "EFA2024001",
"date": "2024-03-15T13:21:08Z",
"url": "https://example.com/invoice.pdf"
},
"proforma": {}
},
"tracking": {
"id": "track_abc123",
"url": "https://kargo.aras.com.tr/track/507855220681824288",
"estimated_delivery_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"status": "in_transit"
},
"rate": {
"estimated_price": 45,
"estimated_weight": 1,
"estimated_at": "2019-08-24T14:15:22Z",
"actual_price": 45,
"actual_weight": 1
},
"direction": "outgoing",
"source": "api",
"async": false,
"create_invoice": false,
"shipped_at": "2019-08-24T14:15:22Z",
"delivered_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
}Delete a shipment
Deletes the specified shipment.
Authenticate using the access_token obtained from POST /token.
Format: Authorization: Bearer {access_token}
In: header
Path Parameters
Shipment ID
uuidResponse Body
application/json
curl -X DELETE "https://api.shipink.io/shipments/17ebb574-f53f-43c2-bcf6-8984f7fc100b"{
"message": "Operation completed successfully."
}How is this guide?